Package org.eclipse.ecf.core.util

# Interface IClassResolver

All Known Implementing Classes:
  `BundleClassResolver`

public interface IClassResolver

Since:
  3.7

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BUNDLE_PROP_NAME`

## Method Summary

Modifier and Type
Method
Description
`Class<?>`
`resolveClass(ObjectStreamClass desc)`

## Field Details

### BUNDLE_PROP_NAME

static final String BUNDLE_PROP_NAME

See Also:
  - Constant Field Values

## Method Details

### resolveClass

Class<?> resolveClass(ObjectStreamClass desc) throws ClassNotFoundException

Throws:
  `ClassNotFoundException`